如何自己安装和使用pear

pear作为php中规范化和功能强大的武库,一直以来很受关注,但是一直没有在实用领域得到重视。究其原因,有文档的不完整,学习资料不充分,代码体系比较复杂,还有就是开发者支持力度不足。不过早晚这个武库都会被给以足够的重视。如果你现在能够开始学习,也许可以占得一定的先机。pear使用中有一个支持问题。很多服务器可能在编译时使用了disable pear, 这样pear就没有被支持。因为其安装需要有权限修改php.ini,所以对不支持的主机,用户可能会觉得无能为力。还有一种情况,就是主机服务器提供pear,并且你都可以在phpinfo也中看到pear包含,但是由于主机运行于安全模式(safe mode),这样由于pear的拥有者不是你,你还是无法使用。这里提供一个方法,就是你可以在你的共享主机中自己安装pear。按照pear文档的要求,你的php在4.04以上版本就可以使用,但是有些模块需要4.05以上,实际上意味着最低要求还是4.05版本。当然这不是问题,因为如果现在你的主机还是在4.06你就应该考虑换主机了。pear本身版本的选择诗歌需要考虑的问题。你可能会注意到,所有的php发布的源程序包中都包含pear,但是实际上最新的pre版中的pear根本不完整。所以我的建议是下载4.23的发行包,解压缩后将pear目录的内容全部上载到你的主目录下,目录名保持为pear。如果你有足够耐性,你可以下载最新的4.30pre2版,然后使用diff工具进行比对(我是指windows用户而言。),将有新变化的文件直接替换旧的文件即可。如果你不厌其烦的话,你可以到 http://cvs.php.net 中的pear目录中去下载各个文件的最新版本。使用pear:在你的程序头部加入ini_set(“include_path”, “/absolute/path/to/pear”);这样你将include_path直接改为你的pear目录。以上的设置有一个缺点,就是如果你本来还有别的包含目录,就会被取消。所以你需要考虑其他的已有的包含路径。在php手册中的用户注释中有人建议使用:ini_set(“include_path”,ini_get(“include_path”).”: /path/to/pear”);这样的方式。我不能确信,这样对你也许可以。但是至少我的服务器不支持,这样会有问题。对我只能使用:$oldpath = ini_get(“include_path”);ini_set(“include_path”,”/path/to/pear:”.$oldpath);仔细看一下两者的差距,就是pear路径是放在开始还是最后的问题。(其中的冒号是路径的分隔符号)。我想你可以需要测试两种情况,看看那个能够使用。

http://www.bkjia.com/phpjc/629466.htmlwww.bkjia.comtruehttp://www.bkjia.com/phpjc/629466.htmltecharticlepear作为php中规范化和功能强大的武库,一直以来很受关注,但是一直没有在实用领域得到重视。究其原因,有文档的不完整,学习资料不充…

Posted in PHP